extends Area2D

@onready var bee = get_parent() as Bee

func _ready():
	pass


func _on_area_entered(area:Area2D):
	## Check if the area entered is a flower patch
	if area.is_in_group("flowers"):
		bee.in_range_of_flowers = true
		Log.pr("I found some flowers!")
		
func _on_area_exited(area:Area2D):
	## Check if the area exited is a flower patch
	if area.is_in_group("flowers"):
		bee.in_range_of_flowers = false
		Log.pr("I left the flowers!")